GNU bug report logs - #16050
24.3; let copy-to-register choose default location of point for insert-register

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: wishlist; Reported by: Tom Tromey <tromey@HIDDEN>; Keywords: wontfix moreinfo; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug closed, send any further explanations to 16050 <at> debbugs.gnu.org and Tom Tromey <tromey@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) wontfix. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 16050 <at> debbugs.gnu.org:


Received: (at 16050) by debbugs.gnu.org; 9 Jun 2022 14:10:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 09 10:10:46 2022
Received: from localhost ([127.0.0.1]:47165 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nzIs2-0006uB-Lw
	for submit <at> debbugs.gnu.org; Thu, 09 Jun 2022 10:10:46 -0400
Received: from quimby.gnus.org ([95.216.78.240]:50208)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1nzIs1-0006tu-PV
 for 16050 <at> debbugs.gnu.org; Thu, 09 Jun 2022 10:10:46 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=xeG4LDlIO7efYt2W+Sioato6irhxlWpSbocichEIXEc=; b=hydpvN6uqp6uOqEwRQd00/oS7X
 6OYSrvzimXo/CrTV0+Yb2jpv4XKbJW48aQViLGUPCI4TeXf4syeKW5bJ8TBSC9aADrg0aikjW94RQ
 sxnkasuX1XjgbBlZvjTXnRZOxg17OwjyDssPoZB2e2NLfwkI/OZo8/w7ShxTunr1xoLI=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1nzIrt-0000hk-Kc; Thu, 09 Jun 2022 16:10:40 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Tom Tromey <tromey@HIDDEN>
Subject: Re: bug#16050: 24.3; let copy-to-register choose default location
 of point for insert-register
References: <87y540r8df.fsf@HIDDEN> <875ymdfkev.fsf@HIDDEN>
X-Now-Playing: Prince's _Sign 'O' the Times (7): Live in Utrecht II_: "The
 Cross (Live In Utrecht)"
Date: Thu, 09 Jun 2022 16:10:37 +0200
In-Reply-To: <875ymdfkev.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Tue,
 10 May 2022 17:59:36 +0200")
Message-ID: <87leu62ahu.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Lars Ingebrigtsen <larsi@HIDDEN> writes: > Hm... perhaps
 we could make `C-u' for insert-register "sticky" for that > register? That
 is, if you `C-u C-x r i a', then that "a" register would > keep that behaviour
 for the rest of the session (u [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 16050
Cc: 16050 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> Hm...  perhaps we could make `C-u' for insert-register "sticky" for that
> register?  That is, if you `C-u C-x r i a', then that "a" register would
> keep that behaviour for the rest of the session (until toggled off with
> a subsequent `C-u C-x r i a', perhaps).
>
> But that's a pretty convoluted interface, and changes the current
> behaviour.
>
> Anybody got any ideas here?

Nobody had in a month, so I'm closing this as a WONTFIX.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16050; Package emacs. Full text available.
Added tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 16050 <at> debbugs.gnu.org:


Received: (at 16050) by debbugs.gnu.org; 10 May 2022 15:59:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 10 11:59:48 2022
Received: from localhost ([127.0.0.1]:34921 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1noSH5-0006zM-VU
	for submit <at> debbugs.gnu.org; Tue, 10 May 2022 11:59:48 -0400
Received: from quimby.gnus.org ([95.216.78.240]:56874)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1noSH3-0006z8-W5
 for 16050 <at> debbugs.gnu.org; Tue, 10 May 2022 11:59:46 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=LCg/gxqUyRJ7EML7wFuUor7YA3OHsBByF0iSgthZXTA=; b=KOLwHNTV/bpRBton+HXy3bwfCs
 fhsTt/suRm2IAihqiOkV1xfCNWLA5EbilWSIN3miGn/FYx5xbYwK39hpLN5S1gKGLvIviCVy2dn1z
 OMLeoSlRrvG00ZfTwuAdf6CW7mN8puQuRLlFx1W9fQl5wCDJGA3FEES9Vt07yHQscrw4=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1noSGv-0005TY-5X; Tue, 10 May 2022 17:59:39 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Tom Tromey <tromey@HIDDEN>
Subject: Re: bug#16050: 24.3; let copy-to-register choose default location
 of point for insert-register
References: <87y540r8df.fsf@HIDDEN>
X-Now-Playing: Joni Mitchell's _Mingus_: "Happy Birthday 1975 (Rap)"
Date: Tue, 10 May 2022 17:59:36 +0200
In-Reply-To: <87y540r8df.fsf@HIDDEN> (Tom Tromey's message of "Wed, 
 04 Dec 2013 07:36:12 -0700")
Message-ID: <875ymdfkev.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Tom Tromey <tromey@HIDDEN> writes: > I sometimes use
 registers
 for repetitive insertion of text. > > Sometimes I want point to end up at
 the end of the insertion. > I know I can do this with a prefix argument,
 but it would be nicer if [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 16050
Cc: 16050 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Tom Tromey <tromey@HIDDEN> writes:

> I sometimes use registers for repetitive insertion of text.
>
> Sometimes I want point to end up at the end of the insertion.
> I know I can do this with a prefix argument, but it would be nicer if I
> could specify this automatically for a given register, say when creating
> the contents.
>
> For example, when I invoke copy-to-register, if point is at the end of
> the region, then that could indicate that I want point to be at the end
> of the region at insertion time.

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

I don't think we can change the behaviour of these commands, because
that would be annoying to many users that are used to the current way
they work.

> Or, perhaps a prefix argument to copy-to-register would work ok as well.

Unfortunately, the prefix argument is already taken there.

In addition, "remembering" this data is kinda tricky -- we allow saving
registers to file, and we'd have to extend the on-file format, etc.
Everything's possible with a little programming, of course, but the
interface problems are more difficult -- I don't immediately see any
good way for the user to specify that it's a point-at-the-end register.

We could add a special command for that, but...

Hm...  perhaps we could make `C-u' for insert-register "sticky" for that
register?  That is, if you `C-u C-x r i a', then that "a" register would
keep that behaviour for the rest of the session (until toggled off with
a subsequent `C-u C-x r i a', perhaps).

But that's a pretty convoluted interface, and changes the current
behaviour.

Anybody got any ideas here?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16050; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 4 Dec 2013 14:36:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 04 09:36:47 2013
Received: from localhost ([127.0.0.1]:57522 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VoDZG-0006ms-59
	for submit <at> debbugs.gnu.org; Wed, 04 Dec 2013 09:36:47 -0500
Received: from eggs.gnu.org ([208.118.235.92]:54333)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <tromey@HIDDEN>) id 1VoDZA-0006mh-Ho
 for submit <at> debbugs.gnu.org; Wed, 04 Dec 2013 09:36:43 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <tromey@HIDDEN>) id 1VoDZ1-0003Vh-Rw
 for submit <at> debbugs.gnu.org; Wed, 04 Dec 2013 09:36:40 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:37373)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <tromey@HIDDEN>) id 1VoDZ1-0003Vd-O1
 for submit <at> debbugs.gnu.org; Wed, 04 Dec 2013 09:36:31 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:55983)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <tromey@HIDDEN>) id 1VoDYv-0003FH-G4
 for bug-gnu-emacs@HIDDEN; Wed, 04 Dec 2013 09:36:31 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <tromey@HIDDEN>) id 1VoDYn-0003SA-Sc
 for bug-gnu-emacs@HIDDEN; Wed, 04 Dec 2013 09:36:25 -0500
Received: from mx1.redhat.com ([209.132.183.28]:11144)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <tromey@HIDDEN>) id 1VoDYn-0003Rn-HV
 for bug-gnu-emacs@HIDDEN; Wed, 04 Dec 2013 09:36:17 -0500
Received: from int-mx11.intmail.prod.int.phx2.redhat.com
 (int-mx11.intmail.prod.int.phx2.redhat.com [10.5.11.24])
 by mx1.redhat.com (8.14.4/8.14.4) with ESMTP id rB4EaFPO017530
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK)
 for <bug-gnu-emacs@HIDDEN>; Wed, 4 Dec 2013 09:36:15 -0500
Received: from barimba (ovpn-113-124.phx2.redhat.com [10.3.113.124])
 by int-mx11.intmail.prod.int.phx2.redhat.com (8.14.4/8.14.4) with ESMTP id
 rB4EaD5H030905
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES128-SHA bits=128 verify=NO);
 Wed, 4 Dec 2013 09:36:13 -0500
From: Tom Tromey <tromey@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 24.3; let copy-to-register choose default location of point for
 insert-register
X-Attribution: Tom
Date: Wed, 04 Dec 2013 07:36:12 -0700
Message-ID: <87y540r8df.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Scanned-By: MIMEDefang 2.68 on 10.5.11.24
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 3.x
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

I sometimes use registers for repetitive insertion of text.

Sometimes I want point to end up at the end of the insertion.
I know I can do this with a prefix argument, but it would be nicer if I
could specify this automatically for a given register, say when creating
the contents.

For example, when I invoke copy-to-register, if point is at the end of
the region, then that could indicate that I want point to be at the end
of the region at insertion time.

Or, perhaps a prefix argument to copy-to-register would work ok as well.




In GNU Emacs 24.3.7 (x86_64-unknown-linux-gnu, GTK+ Version 3.6.4)
 of 2013-10-28 on barimba
Bzr revision: 111407 rgm@HIDDEN
Windowing system distributor `Fedora Project', version 11.0.11303000
Configured using:
 `configure '--prefix=/home/tromey/Space/EmacsBzr/emacs-mt/install''

Important settings:
  value of $LANG: en_US.utf8
  value of $XMODIFIERS: @im=none
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

Major mode: C/l

Minor modes in effect:
  global-auto-revert-mode: t
  bug-reference-prog-mode: t
  diff-auto-refine-mode: t
  erc-list-mode: t
  erc-menu-mode: t
  erc-autojoin-mode: t
  erc-ring-mode: t
  erc-pcomplete-mode: t
  erc-track-mode: t
  erc-track-minor-mode: t
  erc-match-mode: t
  erc-button-mode: t
  erc-fill-mode: t
  erc-stamp-mode: t
  erc-netsplit-mode: t
  erc-spelling-mode: t
  erc-truncate-mode: t
  shell-dirtrack-mode: t
  flyspell-mode: t
  erc-status-mode: t
  erc-services-mode: t
  erc-networks-mode: t
  erc-irccontrols-mode: t
  erc-noncommands-mode: t
  erc-move-to-prompt-mode: t
  erc-readonly-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  auto-fill-function: tjt-c++-do-auto-fill
  transient-mark-mode: t
  abbrev-mode: t

Recent input:
<f9> <f9> <f9> C-x r i l M-f M-f M-f M-b ( M-f M-d 
) <f9> C-x r i h M-f M-f f <backspace> C-f ( M-f M-d 
) <f9> M-b C-x r i h M-f M-f M-f M-b ( M-f M-d ) C-f 
C-f C-f C-x r i l M-f M-f M-f M-b ( M-f M-d ) <f9> 
<f9> M-f M-f M-b C-x r i l M-f M-f M-f M-b ( M-f M-d 
) C-n C-n M-b M-b M-b M-b C-x r i h M-f M-f M-f M-b 
( M-f M-d ) C-x s ! <f9> <f9> M-b C-x r i h M-f M-f 
M-f M-b ( M-f M-d ) C-n M-b M-b M-b C-x r i l M-f M-f 
M-f M-b ( M-f M-d ) C-M-f C-M-f <return> C-f C-f C-f 
C-x r i h M-f M-f M-f M-b ( M-f M-d ) <f9> <f9> <f9> 
M-f M-f M-b C-x r i l M-f M-f M-f M-b ( M-f M-d ) <f9> 
C-l M-f M-f M-b C-x r i h M-f M-f M-f M-b ( M-f M-d 
) <f9> C-z n C-x b p s y m p r <tab> h <backspace> 
<return> M-v M-v M-v M-v M-v M-v C-v C-v C-v C-v C-v 
C-v C-l C-u C-u C-p C-l <f10> <f10> <f10> <f10> <f10> 
<f10> C-z n C-e M-b M-b C-x r l C-g C-x k <return> 
C-x r i l M-f M-f M-f M-b ( M-f M-d ) C-z n M-x r e 
p o r t - e m <tab> b <tab> <return> C-g C-h k C-x 
r i l C-x 1 C-/ C-h k C-x r i l C-/ C-h k C-x r x C-x 
1 M-x r e p o r t - e m a c s - b u g <return>

Recent messages:
Mark set [3 times]
Quit
Mark set
Quit
Type C-x 1 to delete the help window.
Undo!
Type C-x 1 to delete the help window.
Undo!

Auto-saving...done

Load-path shadows:
/home/tromey/lib/lisp/rpm-spec-mode hides /home/tromey/Space/EmacsBzr/emacs-mt/install/share/emacs/site-lisp/rpm-spec-mode
/home/tromey/.emacs.d/elpa/css-mode-1.0/css-mode hides /home/tromey/Space/EmacsBzr/emacs-mt/install/share/emacs/24.3/lisp/textmodes/css-mode
/home/tromey/.emacs.d/elpa/ruby-mode-1.0/ruby-mode hides /home/tromey/Space/EmacsBzr/emacs-mt/install/share/emacs/24.3/lisp/progmodes/ruby-mode
/home/tromey/.emacs.d/elpa/bubbles-0.5/bubbles hides /home/tromey/Space/EmacsBzr/emacs-mt/install/share/emacs/24.3/lisp/play/bubbles
/home/tromey/.emacs.d/elpa/nxml-mode-20041004/nxml-mode hides /home/tromey/Space/EmacsBzr/emacs-mt/install/share/emacs/24.3/lisp/nxml/nxml-mode
/home/tromey/.emacs.d/elpa/nxml-mode-20041004/rng-valid hides /home/tromey/Space/EmacsBzr/emacs-mt/install/share/emacs/24.3/lisp/nxml/rng-valid
/home/tromey/.emacs.d/elpa/nxml-mode-20041004/rng-xsd hides /home/tromey/Space/EmacsBzr/emacs-mt/install/share/emacs/24.3/lisp/nxml/rng-xsd
/home/tromey/.emacs.d/elpa/nxml-mode-20041004/nxml-enc hides /home/tromey/Space/EmacsBzr/emacs-mt/install/share/emacs/24.3/lisp/nxml/nxml-enc
/home/tromey/.emacs.d/elpa/nxml-mode-20041004/nxml-glyph hides /home/tromey/Space/EmacsBzr/emacs-mt/install/share/emacs/24.3/lisp/nxml/nxml-glyph
/home/tromey/.emacs.d/elpa/nxml-mode-20041004/rng-pttrn hides /home/tromey/Space/EmacsBzr/emacs-mt/install/share/emacs/24.3/lisp/nxml/rng-pttrn
/home/tromey/.emacs.d/elpa/nxml-mode-20041004/nxml-uchnm hides /home/tromey/Space/EmacsBzr/emacs-mt/install/share/emacs/24.3/lisp/nxml/nxml-uchnm
/home/tromey/.emacs.d/elpa/nxml-mode-20041004/rng-nxml hides /home/tromey/Space/EmacsBzr/emacs-mt/install/share/emacs/24.3/lisp/nxml/rng-nxml
/home/tromey/.emacs.d/elpa/nxml-mode-20041004/xmltok hides /home/tromey/Space/EmacsBzr/emacs-mt/install/share/emacs/24.3/lisp/nxml/xmltok
/home/tromey/.emacs.d/elpa/nxml-mode-20041004/rng-parse hides /home/tromey/Space/EmacsBzr/emacs-mt/install/share/emacs/24.3/lisp/nxml/rng-parse
/home/tromey/.emacs.d/elpa/nxml-mode-20041004/rng-dt hides /home/tromey/Space/EmacsBzr/emacs-mt/install/share/emacs/24.3/lisp/nxml/rng-dt
/home/tromey/.emacs.d/elpa/nxml-mode-20041004/rng-maint hides /home/tromey/Space/EmacsBzr/emacs-mt/install/share/emacs/24.3/lisp/nxml/rng-maint
/home/tromey/.emacs.d/elpa/nxml-mode-20041004/nxml-rap hides /home/tromey/Space/EmacsBzr/emacs-mt/install/share/emacs/24.3/lisp/nxml/nxml-rap
/home/tromey/.emacs.d/elpa/nxml-mode-20041004/rng-cmpct hides /home/tromey/Space/EmacsBzr/emacs-mt/install/share/emacs/24.3/lisp/nxml/rng-cmpct
/home/tromey/.emacs.d/elpa/nxml-mode-20041004/rng-match hides /home/tromey/Space/EmacsBzr/emacs-mt/install/share/emacs/24.3/lisp/nxml/rng-match
/home/tromey/.emacs.d/elpa/nxml-mode-20041004/nxml-parse hides /home/tromey/Space/EmacsBzr/emacs-mt/install/share/emacs/24.3/lisp/nxml/nxml-parse
/home/tromey/.emacs.d/elpa/nxml-mode-20041004/nxml-outln hides /home/tromey/Space/EmacsBzr/emacs-mt/install/share/emacs/24.3/lisp/nxml/nxml-outln
/home/tromey/.emacs.d/elpa/nxml-mode-20041004/rng-util hides /home/tromey/Space/EmacsBzr/emacs-mt/install/share/emacs/24.3/lisp/nxml/rng-util
/home/tromey/.emacs.d/elpa/nxml-mode-20041004/rng-uri hides /home/tromey/Space/EmacsBzr/emacs-mt/install/share/emacs/24.3/lisp/nxml/rng-uri
/home/tromey/.emacs.d/elpa/nxml-mode-20041004/nxml-maint hides /home/tromey/Space/EmacsBzr/emacs-mt/install/share/emacs/24.3/lisp/nxml/nxml-maint
/home/tromey/.emacs.d/elpa/nxml-mode-20041004/nxml-ns hides /home/tromey/Space/EmacsBzr/emacs-mt/install/share/emacs/24.3/lisp/nxml/nxml-ns
/home/tromey/.emacs.d/elpa/nxml-mode-20041004/xsd-regexp hides /home/tromey/Space/EmacsBzr/emacs-mt/install/share/emacs/24.3/lisp/nxml/xsd-regexp
/home/tromey/.emacs.d/elpa/nxml-mode-20041004/nxml-util hides /home/tromey/Space/EmacsBzr/emacs-mt/install/share/emacs/24.3/lisp/nxml/nxml-util
/home/tromey/.emacs.d/elpa/nxml-mode-20041004/rng-loc hides /home/tromey/Space/EmacsBzr/emacs-mt/install/share/emacs/24.3/lisp/nxml/rng-loc
/home/tromey/.emacs.d/elpa/erc-5.3/erc-replace hides /home/tromey/Space/EmacsBzr/emacs-mt/install/share/emacs/24.3/lisp/erc/erc-replace
/home/tromey/.emacs.d/elpa/erc-5.3/erc-imenu hides /home/tromey/Space/EmacsBzr/emacs-mt/install/share/emacs/24.3/lisp/erc/erc-imenu
/home/tromey/.emacs.d/elpa/erc-5.3/erc-networks hides /home/tromey/Space/EmacsBzr/emacs-mt/install/share/emacs/24.3/lisp/erc/erc-networks
/home/tromey/.emacs.d/elpa/erc-5.3/erc-identd hides /home/tromey/Space/EmacsBzr/emacs-mt/install/share/emacs/24.3/lisp/erc/erc-identd
/home/tromey/.emacs.d/elpa/erc-5.3/erc-lang hides /home/tromey/Space/EmacsBzr/emacs-mt/install/share/emacs/24.3/lisp/erc/erc-lang
/home/tromey/.emacs.d/elpa/erc-5.3/erc-ezbounce hides /home/tromey/Space/EmacsBzr/emacs-mt/install/share/emacs/24.3/lisp/erc/erc-ezbounce
/home/tromey/.emacs.d/elpa/erc-5.3/erc-speedbar hides /home/tromey/Space/EmacsBzr/emacs-mt/install/share/emacs/24.3/lisp/erc/erc-speedbar
/home/tromey/.emacs.d/elpa/erc-5.3/erc-services hides /home/tromey/Space/EmacsBzr/emacs-mt/install/share/emacs/24.3/lisp/erc/erc-services
/home/tromey/.emacs.d/elpa/erc-5.3/erc-stamp hides /home/tromey/Space/EmacsBzr/emacs-mt/install/share/emacs/24.3/lisp/erc/erc-stamp
/home/tromey/.emacs.d/elpa/erc-5.3/erc-sound hides /home/tromey/Space/EmacsBzr/emacs-mt/install/share/emacs/24.3/lisp/erc/erc-sound
/home/tromey/.emacs.d/elpa/erc-5.3/erc-ibuffer hides /home/tromey/Space/EmacsBzr/emacs-mt/install/share/emacs/24.3/lisp/erc/erc-ibuffer
/home/tromey/.emacs.d/elpa/erc-5.3/erc-netsplit hides /home/tromey/Space/EmacsBzr/emacs-mt/install/share/emacs/24.3/lisp/erc/erc-netsplit
/home/tromey/.emacs.d/elpa/erc-5.3/erc-pcomplete hides /home/tromey/Space/EmacsBzr/emacs-mt/install/share/emacs/24.3/lisp/erc/erc-pcomplete
/home/tromey/.emacs.d/elpa/erc-5.3/erc-dcc hides /home/tromey/Space/EmacsBzr/emacs-mt/install/share/emacs/24.3/lisp/erc/erc-dcc
/home/tromey/.emacs.d/elpa/erc-5.3/erc-ring hides /home/tromey/Space/EmacsBzr/emacs-mt/install/share/emacs/24.3/lisp/erc/erc-ring
/home/tromey/.emacs.d/elpa/erc-5.3/erc-autoaway hides /home/tromey/Space/EmacsBzr/emacs-mt/install/share/emacs/24.3/lisp/erc/erc-autoaway
/home/tromey/.emacs.d/elpa/erc-5.3/erc-button hides /home/tromey/Space/EmacsBzr/emacs-mt/install/share/emacs/24.3/lisp/erc/erc-button
/home/tromey/.emacs.d/elpa/erc-5.3/erc-list hides /home/tromey/Space/EmacsBzr/emacs-mt/install/share/emacs/24.3/lisp/erc/erc-list
/home/tromey/.emacs.d/elpa/erc-5.3/erc-page hides /home/tromey/Space/EmacsBzr/emacs-mt/install/share/emacs/24.3/lisp/erc/erc-page
/home/tromey/.emacs.d/elpa/erc-5.3/erc-compat hides /home/tromey/Space/EmacsBzr/emacs-mt/install/share/emacs/24.3/lisp/erc/erc-compat
/home/tromey/.emacs.d/elpa/erc-5.3/erc-menu hides /home/tromey/Space/EmacsBzr/emacs-mt/install/share/emacs/24.3/lisp/erc/erc-menu
/home/tromey/.emacs.d/elpa/erc-5.3/erc-notify hides /home/tromey/Space/EmacsBzr/emacs-mt/install/share/emacs/24.3/lisp/erc/erc-notify
/home/tromey/.emacs.d/elpa/erc-5.3/erc-goodies hides /home/tromey/Space/EmacsBzr/emacs-mt/install/share/emacs/24.3/lisp/erc/erc-goodies
/home/tromey/.emacs.d/elpa/erc-5.3/erc-capab hides /home/tromey/Space/EmacsBzr/emacs-mt/install/share/emacs/24.3/lisp/erc/erc-capab
/home/tromey/.emacs.d/elpa/erc-5.3/erc-backend hides /home/tromey/Space/EmacsBzr/emacs-mt/install/share/emacs/24.3/lisp/erc/erc-backend
/home/tromey/.emacs.d/elpa/erc-5.3/erc-fill hides /home/tromey/Space/EmacsBzr/emacs-mt/install/share/emacs/24.3/lisp/erc/erc-fill
/home/tromey/.emacs.d/elpa/erc-5.3/erc-join hides /home/tromey/Space/EmacsBzr/emacs-mt/install/share/emacs/24.3/lisp/erc/erc-join
/home/tromey/.emacs.d/elpa/erc-5.3/erc hides /home/tromey/Space/EmacsBzr/emacs-mt/install/share/emacs/24.3/lisp/erc/erc
/home/tromey/.emacs.d/elpa/erc-5.3/erc-match hides /home/tromey/Space/EmacsBzr/emacs-mt/install/share/emacs/24.3/lisp/erc/erc-match
/home/tromey/.emacs.d/elpa/erc-5.3/erc-log hides /home/tromey/Space/EmacsBzr/emacs-mt/install/share/emacs/24.3/lisp/erc/erc-log
/home/tromey/.emacs.d/elpa/erc-5.3/erc-xdcc hides /home/tromey/Space/EmacsBzr/emacs-mt/install/share/emacs/24.3/lisp/erc/erc-xdcc
/home/tromey/.emacs.d/elpa/erc-5.3/erc-track hides /home/tromey/Space/EmacsBzr/emacs-mt/install/share/emacs/24.3/lisp/erc/erc-track
/home/tromey/.emacs.d/elpa/erc-5.3/erc-truncate hides /home/tromey/Space/EmacsBzr/emacs-mt/install/share/emacs/24.3/lisp/erc/erc-truncate
/home/tromey/.emacs.d/elpa/erc-5.3/erc-spelling hides /home/tromey/Space/EmacsBzr/emacs-mt/install/share/emacs/24.3/lisp/erc/erc-spelling
/home/tromey/.emacs.d/elpa/emms-3.0/tq hides /home/tromey/Space/EmacsBzr/emacs-mt/install/share/emacs/24.3/lisp/emacs-lisp/tq
/home/tromey/.emacs.d/elpa/erc-5.3/erc-hecomplete hides /home/tromey/Space/EmacsBzr/emacs-mt/install/share/emacs/24.3/lisp/obsolete/erc-hecomplete

Features:
(shadow emacsbug bookmark cal-move rect tabify man nndoc iso-transl
perl-mode org-wl org-w3m org-vm org-rmail org-mhe org-mew org-irc
org-jsinfo org-infojs org-html org-exp ob-exp org-exp-blocks org-agenda
org-info org-gnus org-docview org-bibtex bibtex org-bbdb org ob-tangle
ob-ref ob-lob ob-table org-footnote org-src ob-comint ob-keys
org-pcomplete org-list org-faces org-entities noutline outline
org-version ob-emacs-lisp ob org-compat org-macs ob-eval org-loaddefs
find-func vc-annotate m4-mode imenu autoconf autoconf-mode jimb-patch
webjump url-http url-gw url-auth url-queue conf-mode apropos etags
make-mode sh-script smie executable gnus-fun dwarf-mode python
find-dired texinfo log-view compare-w grep ffap tcl dired-aux thai-util
thai-word cus-start cus-load autorevert rebase-mode goto-addr log-edit
pcvs-util add-log smerge-mode find-file novice w3m-form w3m-cookie
w3m-bookmark w3m-tabmenu w3m-session w3m doc-view image-mode w3m-hist
w3m-fb bookmark-w3m w3m-ems w3m-ccl ccl w3m-favicon w3m-image w3m-proc
w3m-util dabbrev gnus-html xml url-cache mm-url idutils copyright
asm-mode bug-reference cc-langs cc-mode cc-fonts cc-guess cc-menus
cc-cmds help-mode gud mailalias bbdb-sc supercite regi mail-hist
diff-mode misearch multi-isearch gdb-shell vc-git vc-bzr vc-sccs vc-svn
vc-cvs vc-rcs vc-dir ewoc vc vc-dispatcher shr-color color shr
browse-url flow-fill qp bbdb-hooks bbdb-gui jka-compr smiley gnus-cite
mm-archive gnus-async gnus-bcklg gnus-ml disp-table nndraft nnmh gnutls
nnml parse-time netrc nnfolder bbdb-gnus bbdb-snarf mail-extr bbdb-com
nnnil gnus-agent gnus-srvr gnus-score score-mode nnvirtual gnus-msg
gnus-art mm-uu mml2015 epg-config mm-view mml-smime smime dig nntp
gnus-cache gnus-sum nnoo gnus-group gnus-undo nnmail mail-source
smtpmail sendmail gnus-start gnus-spec gnus-int gnus-range message
rfc822 mml mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231
rfc2047 rfc2045 ietf-drums mailabbrev gmm-utils mailheader gnus-win gnus
gnus-ems nnheader mail-utils network-stream starttls tls erc-menu
erc-join erc-ring erc-pcomplete erc-track erc-match erc-button wid-edit
erc-fill erc-stamp erc-netsplit erc-spelling erc-truncate pcmpl-unix
pcmpl-gnu shell pcomplete compile flyspell ispell eldoc emms-status
emms-lastfm rx emms-browser sort emms-playlist-sort emms-score
emms-player-xine emms-player-mpd emms-url url url-proxy url-privacy
url-expand url-methods url-history url-cookie url-domsuf url-util
url-parse url-vars mailcap tq emms-playing-time emms-lyrics derived
emms-streams emms-mode-line emms-cache emms-info-ogginfo
emms-info-mp3info emms-info later-do emms-playlist-mode edmacro kmacro
emms-player-mplayer emms-player-simple emms-source-playlist
emms-source-file locate dired emms-setup emms emms-compat
dwarf-mode-autoloads gdb-shell-autoloads finder-inf magit-autoloads
nxml-enc pydoc-info-autoloads info-look info weblogger-autoloads
xml-rpc-autoloads package mule-util cal-china lunar solar cal-dst
cal-bahai cal-islam cal-hebrew holidays hol-loaddefs appt diary-lib
diary-loaddefs cal-menu easymenu calendar cal-loaddefs uniquify warnings
mouse-sel easy-mmode cl-macs gv status cl erc-services erc-networks
erc-goodies erc erc-backend erc-compat format-spec auth-source eieio
byte-opt bytecomp byte-compile cconv gnus-util mm-util mail-prsvr
password-cache thingatpt pp cc-styles cc-align cc-engine cc-vars cc-defs
advice help-fns cl-lib advice-preload bbdb timezone ange-ftp comint
ansi-color ring server bbdb-autoloads time-date tooltip ediff-hook
vc-hooks lisp-float-type mwheel x-win x-dnd tool-bar dnd fontset image
regexp-opt fringe tabulated-list newcomment lisp-mode register page
menu-bar rfn-eshadow timer select scroll-bar mouse jit-lock font-lock
syntax facemenu font-core frame cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese hebrew greek
romanian slovak czech european ethiopic indian cyrillic chinese
case-table epa-hook jka-cmpr-hook help simple abbrev minibuffer loaddefs
button faces cus-face macroexp files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget hashtable-print-readable
backquote make-network-process dbusbind dynamic-setting
system-font-setting font-render-setting move-toolbar gtk x-toolkit x
multi-tty emacs)

Tom




Acknowledgement sent to Tom Tromey <tromey@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#16050; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 9 Jun 2022 14:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.